
<?php




$rang = $dbc->query("SELECT * FROM `rang` WHERE `user` = '".$user['id']."' LIMIT 1")->fetch_assoc();




if($rang['user']==0){$dbc->query("INSERT INTO `rang` SET `user` = '$user[id]', `name`='$user[login]' ");}


if($user['rang']==0){ 

$quest  = 10;
$les  = 100;
$bonus = 5;
$way = 10;
$ohota = 20;
$next = 5; }//новичок->Охотник

if($user['rang']==1){ 

$quest  = 15;
$les  = 250;
$bonus = 5;

$way = 15;
$ohota = 25;
$next = 5; }//охотник->воитель

if($user['rang']==2){ 

$quest  = 30;

$les  = 550;

$bonus = 7;


$way = 25;

$ohota = 35;
$next = 5; }//охотник->воитель

if($user['rang']==3){ 

$quest  = 25;
$les  = 650;
$bonus = 10;

$way = 25;
$ohota = 45;
$next = 5; }//охотник->воитель


if($user['rang']==4){ 

$quest  = 35;
$les  = 850;
$bonus = 20;
$way = 45;
$ohota = 65;
$next = 5; }//охотник->воитель



if($user['rang']==5){ 

$quest  = 65;
$les  = 1200;
$bonus = 20;
$way = 65;
$ohota = 85;
$next = 5; }//охотник->воитель

if($user['rang']==6){ 

$quest  = 100;
$les  = 1500;
$bonus = 20;
$way = 100;
$ohota = 100;
$next = 5; }//охотник->воитель


if($user['rang']==7){ 

$quest  = 200;
$les  = 2500;
$bonus = 30;
$way = 200;
$ohota = 200;
$next = 5; }//охотник->воитель


if($user['rang']==8){ 

$quest  = 400;
$les  = 5500;
$bonus = 40;
$way = 500;
$ohota = 400;
$next = 5; }//охотник->воитель


if($user['rang']==9){ 


$quest  = 600;
$les  = 7500;
$bonus = 40;
$way = 700;
$ohota = 600;
$next = 5; }//охотник->воитель


if($user['rang']==10){ 


$quest  = 1000;
$les  = 12500;
$bonus = 60;
$way = 1700;
$ohota = 2000;
$next = 5; }//охотник->воитель


if($user['rang']==11){ 


$quest  = 1500;
$les  = 15000;
$bonus = 100;
$way = 2500;
$ohota = 3000;
$next = 5; }//охотник->воитель


if($user['rang']==12){ 


$quest  = 2500;
$les  = 20000;
$bonus = 150;
$way = 3500;
$ohota = 4000;
$next = 5; }//охотник->воитель


if($rang['quest']>=$quest){ 


$dbc->query("update `rang` set `next`=`next`+1,`quest`=`quest`-2000000 where `user`='".$user['id']."'");}


if($rang['les']>=$les){ 


$dbc->query("update `rang` set `next`=`next`+1,`les`=`les`-2000000 where `user`='".$user['id']."'");}


if($rang['bonus']>=$bonus){ 


$dbc->query("update `rang` set `next`=`next`+1,`bonus`=`bonus`-2000000 where `user`='".$user['id']."'");}


if($rang['way']>=$way){ 


$dbc->query("update `rang` set `next`=`next`+1,`way`=`way`-2000000 where `user`='".$user['id']."'");}

if($rang['ohota']>=$ohota){ 


$dbc->query("update `rang` set `next`=`next`+1,`ohota`=`ohota`-2000000 where `user`='".$user['id']."'");}


if($rang['next']>=$next){ 


$dbc->query("update `rang` set `next`=0,`quest`=0,`les`=0,`way`=0,`bonus`=0,`ohota`=0 where `user`='".$user['id']."'");

$dbc->query("update `users` set `strength`=`strength`+10,`defense`=`defense`+10,`max_health`=`max_health`+200,`rang`=`rang`+1 where `id`='".$user['id']."'");





}




if($user['pers']==1){
$inf = array('Новичок','Охотник','Воитель','Лорд','Палач','Воин Теней','Разрушитель','Покоритель Судеб','Темный Лорд','Бессмертный Герой','Высший герой','Могучий воин'); }


if($user['pers']==2){
$inf = array('Новичок','Послушник','Колдун','Магистр','Повелитель Огня','Маг Теней','Владыка Судеб','Лунный Лорд','Аватар','Ведьмак','Темный Правитель','Возвышеный Правитель'); }



$rang_name = $inf[$user['rang']];
$rang_next = $inf[$user['rang']+1];







